Subject: Re: [radext] WGLC for draft-ietf-radext-radius-extensions-01

From: Alan DeKok <[email-masked]>
Date: Tue, 01 Nov 2011 10:14:51 +0100

Leaf yeh wrote:
> One more editorial on the title of the draft, remember someone express the same in the ML, I just repeat it here.

  That was me.

> 'Remote Authentication Dial In User Service (RADIUS) Protocol Extensions '
> 
> But RFC2869 has the title of 'RADIUS Extensions'. They looks very similarly.

  Yes.

> How about to re-title your draft? My suggesting might be 'RADIUS Extension Plus on the Type Space of Attributes with more Data Types', just for your reference.

  That's a little long.  I welcome suggestions.

  Maybe "RADIUS Data Types and Type Code Additions"

> ----------------------------------------------------------
> One more argument on the text in section 9.1
> 
> 'New allocations are
> normally taken from the Extended Type space, starting with lower
> numbered attributes.'
> 
> But the attributes, including
> 
> 241.26  Extended-Vendor-Specific-1
> 242.26  Extended-Vendor-Specific-2
> 243.26  Extended-Vendor-Specific-3
> 244.26  Extended-Vendor-Specific-4
> 245.26  Extended-Vendor-Specific-5
> 246.26  Extended-Vendor-Specific-6
> 
> seem not follow the above words.

  Yes.  Those are allocated simply for consistency with the current type
space.  26 is Vendor-Specific, and there is some benefit in re-using it
here, so that people don't have to remember a *new* number for
Vendor-Specific extended attributes.

> Could it let to be decided by IANA?

  IANA follows guidelines set by others.  They don't set guidelines
themselves.

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Tue, 01 Nov 2011 10:14:51 +0100

That was me.

  Yes.

  Alan DeKok.
_______________________________________________
radext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/radext